Bug 110811 - radv: Assassin's Creed Unity glitches when compiled with recent LLVM 9 (DXVK)
Summary: radv: Assassin's Creed Unity glitches when compiled with recent LLVM 9 (DXVK)
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/radeon (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-02 08:40 UTC by Andrew Sheldon
Modified: 2019-06-07 07:51 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
RenderDoc capture of ACU graphical glitch (deleted)
2019-06-02 08:40 UTC, Andrew Sheldon
Details
Screenshot (see glitchiness in top left of screen) (737.78 KB, image/jpeg)
2019-06-02 08:43 UTC, Andrew Sheldon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Sheldon 2019-06-02 08:40:20 UTC
When Mesa is compiled with a recent version of LLVM 9 (anything newer than around early May), Assassin's Creed: Unity exhibits graphical glitches when using RADV and running the game with Wine + DXVK.

The problem does not exist when compiling Mesa against LLVM 8, nor does it exist when using AMDVLK. Additionally, older Mesa versions such as 19.0.x and 19.1.x exhibit the bug when compiled against LLVM 9.

The problem did not exist with older revisions of LLVM 9. I can run a regression test if needed, but it could take a while given the size of LLVM.

I've also made a capture with RenderDoc and a Vega 56 GPU, which I've attached (for the record, the bug also exists with the RX550 card).

Thanks
Comment 1 Andrew Sheldon 2019-06-02 08:43:48 UTC
Created attachment 144410 [details]
Screenshot (see glitchiness in top left of screen)
Comment 2 Samuel Pitoiset 2019-06-03 06:52:46 UTC
Can you upload your renderdoc trace please?
Comment 3 Andrew Sheldon 2019-06-03 07:14:17 UTC
(In reply to Samuel Pitoiset from comment #2)
> Can you upload your renderdoc trace please?

How odd, I did upload it, but it's marked as deleted. Will try again.
Comment 4 Andrew Sheldon 2019-06-03 08:11:12 UTC
Okay, so uploading on freedesktop is timing out with Error 500. Here's a GDrive link to the renderdoc trace: https://drive.google.com/file/d/1PM0zJcw7KZyOsMTmDJYarxXy1hrja_fh/view
Comment 5 Samuel Pitoiset 2019-06-03 11:59:10 UTC
Does https://reviews.llvm.org/D62614 help?
Comment 6 Andrew Sheldon 2019-06-05 08:51:09 UTC
(In reply to Samuel Pitoiset from comment #5)
> Does https://reviews.llvm.org/D62614 help?

No change, unfortunately.
Comment 7 Yury Zhuravlev 2019-06-06 00:19:53 UTC
I have the same issue. 
Also, before was GPU just hung, now it's working stable but with artifacts.
Comment 8 Samuel Pitoiset 2019-06-07 07:51:47 UTC
The artifacts should have been fixed with LLVM r362749.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.